Bug 127117 - missing m4 macros
missing m4 macros
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: IIIMF 127116
  Show dependency treegraph
Reported: 2004-07-02 00:52 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 11.4-70.svn1875
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-25 05:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-07-02 00:52:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Please contains some m4 macros which is distributed by the upstream.
it's useful to develop LEs and helps to check something in configure
plus, when iiimf-le-inpinyin do autotoolize again, those m4 macros are
required. so including it into the package makes sense.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.for i in `rpm -qa | grep iiimf`; do rpm -ql $i | grep m4; done

Actual Results:  missing m4 macros

Expected Results:  it should be included in the -devel package somewhere.

Additional info:
Comment 1 Jens Petersen 2004-08-11 07:20:38 EDT
I took a look
Comment 2 Jens Petersen 2004-08-11 07:23:32 EDT

I took a look at the .m4 files and found that they're all named
config_*.m4 and also look pretty im-sdk specific so I don't
think it is appropriate to include them all as in in /usr/share/aclocal.

So my suggestion is to either include them as is in the doc dir
for iiimf-libs-devel or merge them all into one file (say iiimf.m4).
Comment 3 Akira TAGOH 2004-08-12 04:00:37 EDT
that's one of solution, but I don't think it may confuses people,
because actually merged m4 files, I mean that one file isn't shipped
from upstream. say, people saw that file, and ask upstream about
something like related that file.
Instead, how about making the subdirectory like gnome-common does? ah,
we haven't shipped it. ok. well, gnome-common installs the m4 files
under /usr/share/aclocal/gnome{,2}-macros, and autogen.sh refers those
m4 files with -I option for aclocal.
including them in the doc dir isn't a good idea, because rpm makes the
versioned doc dir. and the developer needs to be run aclocal with -I
option anyway. but it depends on the specific version or needs to use
the wildcard to build it.
Comment 4 Jens Petersen 2004-08-13 08:07:40 EDT
We could ask upstream to merge them into one file, I suppose.

Shall we put them in /usr/share/aclocal/iiimf for now then?

I haven't looked at them very carefully, but just the naming
of the files and their macros on a quick look made me wonder
a little about their quality though bicbw: that is why I suggested
to put them in doc since then people could easily copy'n'paste
what they need into their project's .m4 file.

Note You need to log in before you can comment on or make changes to this bug.